Devel::StackTrace::Frame(3)

NAME
Devel::StackTrace::Frame - A single frame in a stack trace

VERSION
version 1.27

DESCRIPTION
See Devel::StackTrace for details.

METHODS
See the caller documentation for more information on what these methods return.

•   $frame->package

•   $frame->filename

•   $frame->line

•   $frame->subroutine

•   $frame->hasargs

•   $frame->wantarray

•   $frame->evaltext

    Returns undef if the frame was not part of an eval.

•   $frame->is_require

    Returns undef if the frame was not part of a require.

•   $frame->args

    Returns the arguments passed to the frame. Note that any arguments that are references are returned as references, not copies.

•   $frame->hints

•   $frame->bitmask

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2011 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)